<!DOCTYPE html>

<html>
	<head>
		<title>Pages de modification des données</title>
		<meta charset="UTF-8">
		<link rel="stylesheet" href="css/pointsInvisibles.css">
		<script src="script.js"></script>
	</head>
	<body>
		<h1>Modifier un point visible</h1>
		<p>Bienvenue sur la page de modification de points visibles. D'ici vous pouvez modifier facilement un point visible de la base de données de Smart-Pass.</p>
		
		<?php
			// On place dans une variable l'id transmit dans l'url
			$id = $_GET["id"];

			// Connexion a la base
     		$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
        
      		// Selection de la base  
      		mysql_select_db('smartpass',$db)  or die('Erreur de selection '.mysql_error()); 

			// On sélectionne tout dans la table correspondant a l'id
			$result = mysql_query("SELECT * FROM PointsInvisibles WHERE id = $id");
			 
			while($affiche2 = mysql_fetch_array($result))
			 {


		?>

		<!-- On indique au formulaire apres validation, de revenir sur la meme page avec le meme id si un champ manque -->
		<form method="POST" action="modifPointInvisible.php?id=<?php echo $id;?>"> 
			<h2>Informations générales</h2>
				<input type="text" name="NomLieu" placeholder="Nom du lieu" value="<?php echo ''.$affiche2["NomLieu"].'';?>">
				<input type="text" name="Type" placeholder="Type de lieu" value="<?php echo ''.$affiche2["Type"].'';?>">
				<textarea id="minidesc" name="MiniDescription" placeholder ="Description courte" maxlength="140" /><?php echo ''.$affiche2["MiniDescription"].'';?></textarea>
				<textarea id="desc" name="Description" placeholder="Description complète" /><?php echo ''.$affiche2["Description"].'';?></textarea>
			<h2>Informations d'accessibilité</h2>
				<h3>Accessible aux aveugles</h3>
					<input type="radio" name="AccesAveugle" value="1" class="Radio">
					<p class="Radio">Oui</p>
					<input type="radio" name="AccesAveugle" value="0" class="Radio" checked>
					<p class="Radio">Non</p>
				<h3>Accessible aux handicapés moteur</h3>
					<input type="radio" name="AccesHandicapeMoteur" value="1" class="Radio">
					<p class="Radio">Oui</p>
					<input type="radio" name="AccesHandicapeMoteur" value="0" class="Radio" checked>
					<p class="Radio">Non</p>
			<h2>Informations géographiques</h2>
				<input type="text" name="Numero" placeholder="Numéro" maxlength="3" value="<?php echo ''.$affiche2["Numero"].'';?>">
				<input type="text" name="Adresse" placeholder="Adresse" value="<?php echo ''.$affiche2["Adresse"].'';?>">
				<input type="text" name="CodePostal" placeholder="Code postal" maxlength="5" value="<?php echo ''.$affiche2["CodePostal"].'';?>">
				<input type="text" name="Ville" placeholder="Ville" value="<?php echo ''.$affiche2["Ville"].'';?>">
				<input type="text" name="Pays" placeholder="Pays" value="<?php echo ''.$affiche2["Pays"].'';?>">
			<h2>Informations complémentaires</h2>
				<input type="text" name="Telephone" placeholder="Numéro de téléphone" maxlength="10" value="<?php echo ''.$affiche2["Telephone"].'';?>">
				<input type="text" name="Site" placeholder="Site web" maxlength="40" value="<?php echo ''.$affiche2["Site"].'';?>">
				<input type="text" name="MailContact" placeholder="Mail de contact" maxlength="50" value="<?php echo ''.$affiche2["MailContact"].'';?>">
				<input name="Modifier" value="Modifier" type="submit"/>
		</form>


		<?php
			//On ferme la boucle while
			 }
			// Fermeture de la connexion à la base de données
			mysql_close();	
		?>
		
		<a href="/admin/">Retour a l'administration</a>

		<footer>
			<p>Smart-Pass - 2015</p>
		</footer>
	</body>
</html>

<?php 

//Si l'action de Modifier a ete faite (bouton "Modifier" du formulaire)
if(isset($_POST["Modifier"]))
{
//On se connecte à la base de données
$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
mysql_select_db('smartpass',$db)  or die('Erreur de selection '.mysql_error()); 
 

	// On commence par récupérer les champs 
	if (isset($_POST['NomLieu'])) {      
		$nom = addslashes($_POST['NomLieu']);
	}
	else {
		$nom = "";
	}
	
	if (isset($_POST['Type'])) {
		$type = addslashes($_POST['Type']);
	}
	else {
		$type = "";
	}

	if (isset($_POST['MiniDescription'])) {
		$minidesc = addslashes($_POST['MiniDescription']);
	}
	else {
		$minidesc = "";
	}

	if (isset($_POST['Description'])) {
		$desc = addslashes($_POST['Description']);
	}
	else {
		$desc = "";
	}

	if (isset($_POST['AccesAveugle'])) {
		$accblind = $_POST['AccesAveugle'];
	}
	else {
		$accblind = "";
	}

	if (isset($_POST['AccesHandicapeMoteur'])) {
		$accdisabled = $_POST['AccesHandicapeMoteur'];
	}
	else {
		$accdisabled = "";
	}

	if (isset($_POST['Numero'])) {
		$numAddr = addslashes($_POST['Numero']);
	}
	else {
		$numAddr = "";
	}

	if (isset($_POST['Adresse'])) {
		$add = addslashes($_POST['Adresse']);
	}
	else {
		$add = "";
	}	

	if (isset($_POST['CodePostal'])) {
		$cp = addslashes($_POST['CodePostal']);
	}
	else {
		$cp = "";
	}

	if (isset($_POST['Ville'])) {
		$ville = addslashes($_POST['Ville']);
	}
	else {
		$ville = "";
	}

	if (isset($_POST['Pays'])) {
		$pays = addslashes($_POST['Pays']);
	}
	else {
		$pays = "";
	}

	if (isset($_POST['Telephone'])) {
		$phone = addslashes($_POST['Telephone']);
	}
	else {
		$phone = "";
	}

	if (isset($_POST['Site'])) {
		$site = addslashes($_POST['Site']);
	}
	else {
		$site = "";
	}

	if (isset($_POST['MailContact'])) {
		$mail = addslashes($_POST['MailContact']);
	}
	else {
		$mail = "";
	}

	/* on va verifier toutes les petites erreurs histoire de savoir si l'utilisateur n'a pas
	** ecrit des choses incohérentes.
	*/
	
	$verif_url = strtolower($site); 
	$verif_url = substr("$verif_url", 0, 7); 
	if (!empty($site) && $verif_url != "http://") { 	// vérification du début de l'url
		 //vérification du début de l'url 
		$verif_url = strtolower($site); 
		$verif_url = substr("$verif_url", 0, 7); 
		// on verifie les 7 premiers caractères 
		echo '<h2><font color="red">Le lien doit commencer par http://</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/modifPointInvisible.php");
	}
	elseif (!empty($mail) && !filter_var($mail, FILTER_VALIDATE_EMAIL)) { 	// verification pour le mail
		echo '<h2><font color="red">Adresse email invalide !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/modifPointInvisible.php");
	}
	elseif (!empty($phone) && !filter_var($phone, FILTER_VALIDATE_INT) && strlen($phone) != 10) { 	// verification pour le telephone
		echo '<h2><font color="red">Telephone invalide: 10 chiffres en commançant par 0 !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/modifPointInvisible.php");
	}
	elseif (!empty($cp) && !filter_var($cp, FILTER_VALIDATE_INT)) { 	// verification pour le code postal
		echo '<h2><font color="red">Code postal invalide: 5 chiffres !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/modifPointInvisible.php");
	}
	elseif (!empty($numAddr) && !filter_var($numAddr, FILTER_VALIDATE_INT)) { 	// verification pour le numero de l'adresse
		echo '<h2><font color="red">Numero adresse invalide !</font></h2>';
		header("Refresh: 3; URL=http://smart-pass.fr/modifPointInvisible.php");
	}
	else {
		// connexion à la base
		$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
		
		// sélection de la base  

		mysql_select_db('smartpass',$db)  or die('Erreur de selection '.mysql_error()); 
		 
		// on enregistre les donnees modifiees
		$result = "UPDATE PointsInvisibles SET
		NomLieu = '$nom',
		Type = '$type', 
		MiniDescription = '$minidesc', 
		Description = '$desc',
		AccesAveugle = '$accblind', 
		AccesHandicapeMoteur = '$accdisabled', 
		Numero = '$numAddr', 
		Adresse = '$add', 
		CodePostal = '$cp', 
		Ville = '$ville', 
		Pays = '$pays',
		Telephone = '$phone', 
		Site = '$site', 
		MailContact = '$mail'
		WHERE id = '$id'
		"; 
		 
		// on insère les informations du formulaire dans la table 
		mysql_query($result) or die('Erreur SQL !'.$result.'<br>'.mysql_error()); 

		// on affiche le résultat pour le visiteur 
		echo '<h2><font color="red">La modification a correctement été effectuée avec succès</font></h2>'; 
		header("Refresh: 1; URL=http://smart-pass.fr/admin/panel_admin.php");

		mysql_close();  // on ferme la connexion 
	}  
}
?>

<?php
	session_start();
	if(file_exists('compteur_visites.txt'))
	{
			$compteur_f = fopen('compteur_visites.txt', 'r+');
			$compte = fgets($compteur_f);
	}
	else
	{
			$compteur_f = fopen('compteur_visites.txt', 'a+');
			$compte = 0;
	}
	if(!isset($_SESSION['compteur_de_visite']))
	{
			$_SESSION['compteur_de_visite'] = 'visite';
			$compte++;
			fseek($compteur_f, 0);
			fputs($compteur_f, $compte);
	}
	fclose($compteur_f);
	//echo '<strong>'.$compte.'</strong> visites.';
?>

